### Class

# Ide DebugManager

#### Description

    final class Ide.DebugManager : Ide.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Functions

###### ide_debug_manager_from_context

Gets the `IdeDebugManager` for a context.

Available since: 3.32

#### Instance methods

###### ide_debug_manager_find_debugger

Locates a debugger for the given runner, or `NULL` if no debugger supports the runner.

Available since: 3.32

###### ide_debug_manager_get_active

No description available.

###### ide_debug_manager_get_breakpoints_for_file

This returns an `IdeDebuggerBreakpoints` that represents the breakpoints within a given file.

Available since: 3.32

###### ide_debug_manager_get_debugger

Gets the debugger instance, if it is loaded.

Available since: 3.32

###### ide_debug_manager_start

Attempts to start a runner using a discovered debugger backend.

Available since: 3.32

###### ide_debug_manager_stop

No description available.

###### ide_debug_manager_supports_language

This checks to see if there is a debugger that can possibly support a given language id. This is used to determine if space for breakpoints should be reserved in the gutter of source code editor.

Available since: 3.32

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.DebugManager:active

If the debugger is active.

Available since: 3.32

###### Ide.DebugManager:debugger

No description available.

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

###### Ide.DebugManager::breakpoint-added

The “breakpoint-added” signal is emitted when a new breakpoint has been registered by the debugger.

Available since: 3.32

###### Ide.DebugManager::breakpoint-reached

The “breakpoint-reached” signal is emitted when the debugger has reached a breakpoint and execution has stopped.

Available since: 3.32

###### Ide.DebugManager::breakpoint-removed

The “breakpoint-removed” signal is emitted when a new breakpoint has been removed by the debugger.

Available since: 3.32

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeDebugManagerClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.